
require("LUBE.lua")
require("MiddleClass.lua")
require("MindState.lua")

NetTest = class('NetTest', StatefulObject)
require("menu.lua")
require("game.lua")
require("server.lua")
require("client.lua")

function clearLoveCallbacks()
  love.draw = nil
  love.joystickpressed = nil
  love.joystickreleased = nil
  love.keypressed = nil
  love.keyreleased = nil
  love.load = nil
  love.mousepressed = nil
  love.mousereleased = nil
  love.update = nil
end

function NetTest:initialize()
  super.initialize(self)
  self:gotoState('Menu')
end

function love.load()
  netTest = NetTest:new()
end
